<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;

class Painel extends \Teknisa\GER\Controllers\TeknisaCrud{
    
    protected $crudService;
    protected $entityManager;
    protected $util;
    protected $geracaoProdutoAcabadoService;

    public function __construct($crudService, $parameterBag, $entityManager, $util, $geracaoProdutoAcabadoService){
        parent::__construct($crudService, $parameterBag);
        $this->entityManager = $entityManager;
        $this->util = $util;
        $this->geracaoProdutoAcabadoService = $geracaoProdutoAcabadoService;
    }
    
    public function salvaHoraInicial(DTO\Request\Row $request, DTO\Response $response){
        $row = $request->getRow();
        
        $sql = "UPDATE PLANPRODACABADO
                   SET HRINICIO = :HRINICIO
                 WHERE NRPLANPROD = :NRPLANPROD
                    AND CDPRODACABADO = :CDPRODACABADO
                    AND IDCOOKCHILL = :IDCOOKCHILL
                    AND IDFINALIZACAO = :IDFINALIZACAO
                    AND IDTPPRODCHILL = :IDTPPRODCHILL
                    AND IDESTADO = :IDESTADO
                    AND NRSEQPRODACABADO = :NRSEQPRODACABADO";

        $query = $this->entityManager->getConnection()->prepare($sql);
        $query->bindValue("HRINICIO", $row['actualHour']);
        $query->bindValue("NRPLANPROD", $row['nrplanprod']);
        $query->bindValue("CDPRODACABADO", $row['cdprodacabado']);
        $query->bindValue("IDCOOKCHILL", $row['idcookchill']);
        $query->bindValue("IDFINALIZACAO", $row['idfinalizacao']);
        $query->bindValue("IDTPPRODCHILL", $row['idtpprodchill']);
        $query->bindValue("IDESTADO", $row['idestado']);
        $query->bindValue("NRSEQPRODACABADO", $row['nrseqprodacabado']);
        
        $query->execute();  
    }
    
}